Status: Closed   

Priority: High   

Assignee: Timo Goebel   

Category: Compute resources - VMware   

Target version: 1.19.0   

Difficulty: medium Fixed in Releases: 1.18.2, 1.19.0

Triaged: Yes Found in Releases: 1.15.1

Bugzilla link: 1591829 Red Hat JIRA:  
ull/5920

  

Description

Description of problem:

Networks in a distributed switch take a long time to load when there is alot

Version-Release number of selected component (if applicable):

6.3.1

tfm-rubygem-fog-vsphere-1.7.0-1.el7sat.noarch

foreman 1.15

How reproducible:

Steps to Reproduce:

1. Install sat 6 and connect to VMware compute resource

2. Create a lot of port groups in the distributed switch

3. Watch it take forever

Actual results:

It took more than an hour/2 in the DC with 1000+ networks.

The DC with 400 networks took maybe 20 minutes.

Another one with 21 networks was almost immediate, but one with 35 networks which is over in Singapore took about 10 minutes.

Expected results:

Much faster time to load the interfaces tab then the timing above

Additional info:

Upstream issue filed here:

https://github.com/fog/fog-vsphere/issues/144

Related issues:

Related to Foreman - Bug #23580: Non-clustered ESX hosts, no longer appear in... Closed

Related to Foreman - Bug #24571: With fog-vsphere 2.3 trying to provision to ... Closed

Related to Foreman - Bug #24704: Update Foreman to use fog-vsphere 2.3.0 Closed
Associated revisions

Revision dc1f9cfa - 07/10/2018 02:22 PM - Chris Roberts

Fixes #23961 - Update Foreman Fog-Vsphere select_nic method.

History

#1 - 06/20/2018 08:07 PM - Chris Roberts

- Status changed from New to Resolved

- Assignee set to Timo Goebel

- Priority changed from Normal to High

- Pull request https://github.com/fog/fog-vsphere/pull/145 added

#2 - 06/21/2018 06:53 AM - Marek Hulán

- Status changed from Resolved to New

This has not been resolved yet, fog-vsphere has not been released. Once it is, we need to bump the dependency in Foreman to actually fix this.

Reopening, Timo are there any plans for new release?

#3 - 06/26/2018 09:45 AM - Tomer Brisker

- translation missing: en.field_release set to 353

- Triaged set to Yes

#4 - 06/27/2018 08:54 AM - Timo Goebel

I hope to fix another issue first, will do a release then and open a PR to bump fog-vsphere.

#5 - 06/29/2018 01:35 PM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/5756 added

#6 - 07/09/2018 02:23 PM - The Foreman Bot

- Pull request https://github.com/theforeman/foreman-packaging/pull/2728 added

#7 - 07/10/2018 03:01 PM - Chris Roberts

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset dc1f9cfab842c86e3464df047a4e84dd4e294aff.

#8 - 07/11/2018 09:19 AM - Marek Hulán

- Fixed in Releases 1.19.0 added

Setting 1.19 for now, packaging has not been propagated to 1.18

#9 - 07/19/2018 10:24 AM - Ewoud Kohl van Wijngaarden

- Related to Bug #23580: Non-clustered ESX hosts, no longer appear in host creation added

#10 - 08/06/2018 11:20 AM - The Foreman Bot

- Pull request https://github.com/theforeman/foreman/pull/5919 added

#11 - 08/06/2018 11:23 AM - The Foreman Bot

- Pull request https://github.com/theforeman/foreman/pull/5920 added

#12 - 08/20/2018 02:31 PM - Tomer Brisker

- Related to Bug #24571: With fog-vsphere 2.3 trying to provision to a port group within a distributed switch fails added

#13 - 09/05/2018 12:39 PM - Tomer Brisker

- Related to Bug #24704: Update Foreman to use fog-vsphere 2.3.0 added
#14 - 09/05/2018 12:44 PM - Tomer Brisker

- Fixed in Releases 1.18.2 added
